View Issue Details

IDProjectCategoryView StatusLast Update
0005763Multi Theft Auto : San AndreasScriptingpublic2011-08-08 19:06
ReporterizstasAssigned ToMr.Hankey 
PrioritynormalSeverityminorReproducibilityN/A
Status resolvedResolutionfixed 
Product Version1.0.4 
Target Version1.1Fixed in Version1.1 
Summary0005763: Fix or remove "explode" argument in blowVehicle
Description

Wiki says that there's optional argument for blowVehicle - "explode". The argument exists in code, synced in RPC, but never used (at least I didn't find)

Actually, what this argument is supposed to do? May it be removed?

TagsNo tags attached.

Activities

DakiLLa

2011-01-08 13:21

viewer   ~~0012500

AFAIK it is used for making visual explosion appear.

arranTuna

2011-01-08 13:23

manager   ~~0012501

It blows up silenty when false and when true. When its suppost to have the visual/sound/damaging explosion.

Mr.Hankey

2011-03-08 13:14

reporter   ~~0013038

Fixed in: http://code.google.com/p/mtasa-blue/source/detail?r=2448

x86

2011-08-05 00:54

administrator   ~~0014136

Better fix the 2nd argument.
Why? If you have 20 vehicles near each other. Use blowVehicle on 1 vehicle, and all vehicles will explode.

c0uncil

2011-08-06 09:08

viewer   ~~0014162

Place a few vehicles close to eachother and blow up one of them. Once with the second argument set to false, once with it set to true. You will clearly see the difference and that the second argument is needed. With the second argument set to true, it "creates" an explosion that damages anything nearby. While set to false (optional, it is false by default if not set), it doesn't damage anything but the specified vehicle itself. So please, revert it to as it used to be. Thank you.

Mr.Hankey

2011-08-06 13:00

reporter   ~~0014164

c0uncil the issue was that the 2nd argument simply didn't do anything at all. The vehicle always blew up silently and thus it got removed. I don't agree with reverting this as we now have no way to make a vehicle blow up properly when using the server-side blowVehicle function.

arranTuna

2011-08-06 13:40

manager   ~~0014165

And with r2448 there was no way to silently explode (removing functionality of the function), at least if you want it to explode you can juse createExplosion.

Dragon

2011-08-06 19:56

reporter   ~~0014171

the only question about this function would be why the default is 'true' from 1.1 on. it was used to be 'false' by default...

Mr.Hankey

2011-08-06 23:31

reporter   ~~0014181

What is going on here did anyone of you actually test how the function works currently?
I've said it numerous times now: The optional paramater has no effect at all. It isn't even implemented code-wise and that was "fixed" by removing it (as the bug report suggests). The next logical step would've been to implement the "silent" argument properly but apparently it just got reverted to the old broken state...

BinSlayer

2011-08-07 12:09

viewer   ~~0014183

MrHankey @ "I don't agree with reverting this as we now have no way to make a vehicle blow up properly when using the server-side blowVehicle function. "

So we'll use createExplosion() for the damaging effect before we use blowVehicle(), which will only visually blow it up. We do have a way for this. :P

Actually, if you remove the argument and default it to true, what we won't be able to do is blow it up without causing damage to nearby elements.

Suggestion:
-remove the second argument indeed, but make it so when you run this function it'll blow up silently (like before) i.e second argument is always false.
-don't worry about the damage as we can use createExplosion in conjunction with blowVehicle

Mr.Hankey

2011-08-07 17:24

reporter   ~~0014189

Fixed in: http://code.google.com/p/mtasa-blue/source/detail?r=2965

x86

2011-08-07 19:43

administrator   ~~0014191

I still don't like it, let's wait what players say.

BinSlayer

2011-08-08 18:46

viewer   ~~0014195

confirming that the fix is good, the argument works perfectly in serverside now :)

Issue History

Date Modified Username Field Change